Bug 8301 - Display additional system information (preferences) on About page to minimize support cases
Summary: Display additional system information (preferences) on About page to minimize...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: 3.10
Hardware: All All
: P3 enhancement (vote)
Assignee: Marc Véron
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-24 18:55 UTC by Marc Véron
Modified: 2013-12-05 20:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot with warnings regarding preferences on About page (51.86 KB, image/jpeg)
2012-06-24 18:55 UTC, Marc Véron
Details
Bug 8301 - Display additional system information (preferences) on About page to minimize support cases (4.13 KB, patch)
2012-06-24 19:35 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 8301 - Display additional system information (preferences) on About page to minimize support cases (4.21 KB, patch)
2012-06-25 07:28 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 8301 - Display additional system information (preferences) on About page to minimize support cases (5.07 KB, patch)
2012-06-25 07:34 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 8301 - Display additional system information (preferences) on About page to minimize support cases (5.07 KB, patch)
2012-06-25 09:05 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2012-06-24 18:55:46 UTC
Created attachment 10450 [details]
Screenshot with warnings regarding preferences on About page

To minimize support questions regarding common mistakes, the About page should have an additional tab that displays warnings if depractated and/or mutual excluding system preferences are used.

Example: Bug 8298 Can't call method "subfield" on an undefined value at Biblio.pm (sub _AddBiblioNoZebra)

See screenshot attached.

Marc
Comment 1 Marc Véron 2012-06-24 19:35:24 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2012-06-25 07:28:53 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2012-06-25 07:34:22 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2012-06-25 09:05:30 UTC
Created attachment 10461 [details] [review]
Bug 8301 - Display additional system information (preferences) on About page to minimize support cases

To minimize support questions regarding common mistakes, the About
page should have an additional tab that displays warnings if depractated
and/or mutual excluding system preferences are used.

To test patch use values as displayed on screenshot attached.

New: Shows error message in Tab Server Information if Zebra server is not started
(...and changes added...)

Suggestions for other values to add are welcome.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 5 Chris Cormack 2012-06-25 09:06:26 UTC
Works well, could perhaps get a bit more styling, but is a great start.
Comment 6 Jonathan Druart 2012-07-06 13:54:00 UTC
QA Comments:
It is not exhausive, but as Chris said: it is a great start.

Marking as Passed QA


Maybe have a look at http://git.biblibre.com/?p=koha;a=blob;f=misc/maintenance/mysql/check_updatedatabase.pl;h=3dfd0f894dfefe7e8ef88fadb159d9824ed7f771;hb=65a47c2bbc4987cec069aa28bd05a986c349eca0
It is a check updatedatabase script. Based on updatedatabase.pl ("old" version :)), it checks in DB if all queries have been executed correctly. It could be useful to complete your list.
Note: I use the same mechanism for the "new" version (see Bug 7167)
Comment 7 Paul Poulain 2012-07-10 09:25:15 UTC
Great idea !
Note that I think this tab should be moved out of the "About" page, in admin-home.pl for example, or something like that = it should not be accessible to everyone (sensible information could be displayed), and when you want to check your config, you don't need to see who contributed to Koha.

I agree that, if we move this tab out from "About", we should also move Server information and Perl Modules as well.

So, splitting "About" in 2 sub-pages:
 * who's-who
 * technical stuff
Comment 8 Jared Camins-Esakov 2012-12-31 01:18:51 UTC
There have been no further reports of problems so I am marking this bug resolved.